Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all active mailing lists
        • Get mailing list details
        • Get all active mailing lists with paging
        • Create a mailing list
        • Update a mailing list
        • Delete a mailing list
        • Create a custom field
        • Update a custom field
        • Remove a custom field
  1. Mailing lists
  1. API reference
  2. Mailing lists
  3. Get mailing list details

Get mailing list details

GET /lists/{MailingListID}/details.{Format}

Retrieves the details about a specific email list in your account. You can include subscriber statistics in your results. Any segments existing in the requested email list are excluded from the results.

Request

ParameterInTypeRequiredDescription
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml.
MailingListIDpathstringtrueThe ID of the email list that contains the details you are requesting.
apikeyquerystringtrueThe API key of your account.
WithStatisticsquerystringfalseSpecifies whether to fetch statistics for the subscribers.Possible values: true (Default) and false.
http
GET https://{hostname}/v3/lists/{MailingListID}/details.{Format}?apikey=&WithStatistics=
curl
curl --include \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     'https://{hostname}/v3/lists/{MailingListID}/details.{Format}?apikey=&WithStatistics='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/json
N/A
json
{
  "Code": 0,
  "Error": null,
  "Context": {
    "ID": "2813225704fad8e2-f6552b35-49a44302-8af7a887-6fbf3164564158f14a1152ab",
    "Name": "test autoYour List Name",
    "ActiveMemberCount": 199991024,
    "BouncedMemberCount": 016,
    "RemovedMemberCount": 032,
    "UnsubscribedMemberCount": 024,
    "Status": 10,
    "CustomFieldsDefinition": \[
      {
        "ID": "c3226ccdd4fb545-8a18ba00-4f224afe-907bbc39-8422d61a53a15ed2462fd1d3",
        "Name": "GenderCity",
        "Context": "<items><item><name>Male</name><value>Male</value></item><item><name>Female</name><value>Female</value></item></items>",
        "IsRequired": true,
        "Type": 3
      },
      {
        "ID": "bf14b37c-3c47-412d-baf1-c6850b8cf2af",
        "Name": "Town",
        "Context": null,
        "IsRequired": false,
        "Type": 0
      },
      {
        "ID": "ae8500d7-d1df-4118-9a2c-6654a7d6a6db",
        "Name": "Age",
        "Context": null,
        "IsRequired": true,
        "Type": 1
      }
    \],
    "CreatedBy": "223.16.165.23127.0.0.1",
    "CreatedOn": "/Date(14431743873271368710504000+01000300)/",
    "UpdatedBy": "223.16.165.23127.0.0.1",
    "UpdatedOn": "/Date(14431743873271368710923000+01000300)/",
    "ImportOperation": {
      "ID": 37060,
      "DataHash": "2490c26c97de8bcb-79f6ca1c-a52c4a4b-4afbbf02-852f624a91b03f639952e093",
      "Mappings": "EmailSome Mappings",
      "EmailNotify": null"Some EmailNotify",
      "CreatedOn": "/Date(1443181931130+01001400765707431)/",
      "StartedOn": "/Date(1443181958330+01001400765707431)/",
      "CompletedOn": "/Date(1443182730673+01001400765707432)/",
      "TotalInserted": 199990,
      "TotalUpdated": 0,
      "TotalUnsubscribed": 10,
      "TotalInvalid": 0,
      "TotalIgnored": 0,
      "TotalDuplicate": 0,
      "TotalMembers": 200000,
      "Message": null"Some Message",
      "Success": truefalse,
      "SkipNewMembers": false 
       },
    "Preferences": {
      "FallbackValue": "",
      "IsRequired": false,
      "Options": \[
          "option 1",
          "option 2",
          "option 3"
          \],
      "SelectType": 0
    }
  }
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

  • Context - an object that contains all the following information for the requested email list:

  • ID - the ID of the email list.

  • Name - the name of the email list.

  • ActiveMemberCount - the number of active members in the email list.

  • BouncedMemberCount - the number of bounced emails in the email list.

  • RemovedMemberCount - the number of emails removed from the email list.

  • UnsubscribedMemberCount - the number of emails unsubscribed from the email list.

  • Status - status of the email list. For created, this is 0, for imported, this is 1, for importing, this is 2 , and for deleted, this is 3.

  • CustomFieldsDefinition - an array containing the parameters of custom fields in the email list. The parameters are:

    • ID - the ID of the custom field.

    • Name - the name of the custom field

    • Context - the context of the custom field. This is null if the field type is not SingleSelectDropDown.

    • IsRequired - this is true if the custom field is required and false if it is not.

    • Type - the data type of the custom field. Possible values: 0 for text, 1 for number, 2 for dateTime, 3 for SingleSelectDropDown, and 5 for checkbox.

  • CreatedBy - the IP address used to create the requested email list.

  • CreatedOn - the date-time the requested email list was created.

  • UpdatedBy - the IP address used to update the requested email list.

  • UpdatedOn - the date-time the requested email list was updated.

  • ImportOperation - an object that contains the details of the latest import operation performed in the requested email list. This is blank if there was no import done.

    • ID - the ID of the import operation.

    • DataHash - a globally unique identifier (GUID) for the import operation

    • Mappings - the data mappings used for the specific import operation.

    • EmailNotify - this is null if the import operation notification email was not selected to be sent

    • CreatedOn - the date-time when the import operation was created.

    • StartedOn - the date-time when the import operation was stated.

    • CompletedOn - the date-time when the import operation was completed.

    • TotalInserted - the total number of inserted emails.

    • TotalUpdated - the total number of updated emails.

    • TotalUnsubscribed - the total number of unsubscribed emails.

    • TotalInvalid - the total number of invalid emails.

    • TotalIgnored - the total number of ignored emails.

    • TotalDuplicate - the total number of duplicate emails.

    • TotalMembers - the total number of members that were selected to be imported.

    • Message - the message of the import operation. This is null if successful.

    • Success - this is true if successful.

    • SkipNewMembers - this is false if the skip new members option was not selected before the import operation began.

  • Preferences - an object that contains the details of the preferences field.

    • FallbackValue - this returns if the field has a fallback value.

    • IsRequired - this is true if the preferences field is required, and false if it is not.

    • Options - an object that contains all the Preferences options.

    • SelectType - this is the data type of the field. It is 0 for single-select and 1 for multi-select.

If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use